Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002303KdenliveEffectspublic2011-09-07 14:152011-11-01 18:56
Reportersunab 
Assigned Toj-b-m 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSKubuntu LinuxOS Version9.10
Product VersionRecent git 
Target VersionFixed in Version0.8.2 
Summary0002303: fails to build with Qt 4.5 (r5858)
Descriptionrevision 5848 fails to build with :

/build/buildd/kdenlive-0.8.1+svn20110907.r5859/src/documentvalidator.cpp: In member function 'void DocumentValidator::updateEffects()':
/build/buildd/kdenlive-0.8.1+svn20110907.r5859/src/documentvalidator.cpp:1036: error: 'QScriptProgram' was not declared in this scope
/build/buildd/kdenlive-0.8.1+svn20110907.r5859/src/documentvalidator.cpp:1036: error: template argument 2 is invalid
/build/buildd/kdenlive-0.8.1+svn20110907.r5859/src/documentvalidator.cpp:1036: error: invalid type in declaration before ';' token
/build/buildd/kdenlive-0.8.1+svn20110907.r5859/src/documentvalidator.cpp:1072: error: request for member 'contains' in 'scripts', which is of non-class type 'int'
/build/buildd/kdenlive-0.8.1+svn20110907.r5859/src/documentvalidator.cpp:1077: error: expected ';' before 'scriptProgram'
/build/buildd/kdenlive-0.8.1+svn20110907.r5859/src/documentvalidator.cpp:1079: error: request for member 'insert' in 'scripts', which is of non-class type 'int'
/build/buildd/kdenlive-0.8.1+svn20110907.r5859/src/documentvalidator.cpp:1079: error: 'scriptProgram' was not declared in this scope
/build/buildd/kdenlive-0.8.1+svn20110907.r5859/src/documentvalidator.cpp:1088: error: request for member 'value' in 'scripts', which is of non-class type 'int'
make[3]: *** [src/cmake_bindir/CMakeFiles/kdenlive.dir/documentvalidator.o] Error 1
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0007283)
j-b-m (administrator)
2011-09-07 15:57

Should be fixed in svn rev. 5860, please test
(0007284)
sunab (reporter)
2011-09-07 20:42

Confirmed. It is fixed in r5860.
Thanks.

- Issue History
Date Modified Username Field Change
2011-09-07 14:15 sunab New Issue
2011-09-07 15:57 j-b-m Note Added: 0007283
2011-09-07 15:57 j-b-m Assigned To => j-b-m
2011-09-07 15:57 j-b-m Status new => feedback
2011-09-07 20:42 sunab Note Added: 0007284
2011-09-07 20:42 sunab Status feedback => assigned
2011-09-07 20:45 j-b-m Status assigned => resolved
2011-09-07 20:45 j-b-m Fixed in Version => Recent git
2011-09-07 20:45 j-b-m Resolution open => fixed
2011-10-31 15:23 j-b-m Fixed in Version Recent git => 0.8.2
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker